/// <reference types="mapbox-gl" />
import './package-explorer.css';
import Vue from 'vue';
import { DataResource, Insight, InsightView, LayerLegend } from '@csnext/cs-data';
import { StatsDatasource } from '../../datasources/stats-datasource';
export declare class PackageExplorer extends Vue {
    data: StatsDatasource;
    collapsed: boolean;
    fullscreen: boolean;
    tab: string;
    value: any[];
    showInsightDetails: boolean;
    showLegendDetails: boolean;
    showtimeline: boolean;
    search: string;
    searchSelection: any;
    searchResult: any[];
    tableHeaders: any[];
    tableProperties: string[];
    private busManager;
    constructor();
    beforeDestroy(): void;
    get layers(): DataResource[] | undefined;
    shareState(): void;
    showTable(): void;
    changedTab(v: string): void;
    get activeBookmarks(): mapboxgl.MapboxGeoJSONFeature[];
    get insights(): Insight[] | undefined;
    get legends(): LayerLegend[];
    downloadGeojson(): void;
    downloadCsv(): Promise<void>;
    toggleLayers(): void;
    downloadPackage(): void;
    tableOpenFeature(f: any): void;
    toggleTableSize(): void;
    updateTableHeaders(): void;
    searchSelectionChanged(value: any): void;
    doSearch(val: string): void;
    openInsights(): void;
    openBookmarks(): void;
    activateInsight(insight: Insight): void;
    activateInsightView(view: InsightView, insight: Insight): void;
    activateLayer(layer: DataResource): void;
    dataChanged(): void;
    resourceInfo(resourceName: string): DataResource | undefined;
    loadResource(resource: DataResource): void;
}
